=== debian/changelog ===
tvoe (0.1-1) unstable; urgency=low

  * tvoe

 -- Dominik Paulus <iridium@sieglitzhof.net>  Fri, 15 Aug 2014 22:20:50 +0200
