=== debian/control ===
Source: tvoe
Section: utils
Priority: optional
Maintainer: Dominik Paulus <iridium@sieglitzhof.net>
Uploaders: Christoph Egger <christoph@debian.org>
Build-Depends:
 debhelper (>= 9~),
 cmake,
 libevent-dev,
 libglib2.0-dev,
 pkg-config,
 libbitstream-dev,
 flex,
 bison
Standards-Version: 3.9.6
Vcs-Git: git://git.faui2k11.de/tvoe.git

Package: tvoe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Suggests: dvb-apps
Description: Lightweight DVB-S/S2 TV streaming server
 tvoe is a small DVB-S/DAB-S streaming server inspired by the getstream
 utility, but with support for managing multiple tuners by one process and
 dynamically assigning available tuners to new clients.
