=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	install -m 644 -D tvoe.conf.example debian/tvoe/etc/tvoe/tvoe.conf
