=== debian/changelog ===
tvoe (0.1+git20190112.9ff09d9-2) unstable; urgency=medium

  * Team upload.
  * d/rules: cmake -DCMAKE_POLICY_VERSION_MINIMUM=3.5 (Closes: #1113590)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 01 Sep 2025 20:53:52 +0200

tvoe (0.1+git20190112.9ff09d9-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Latest upstream commit
    Closes: #1075592
  * Maintain package in Salvage team
    Closes: #1094926
  * Add Homepage
  * d/watch: point to latest upstream commit
  * d/copyright: header
  * Build-Depends: libdvbv5-dev
  * Build-Depends: s/pkg-config/pkgconf/
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)

  [ наб ]
  * d/tvoe.service: add (Closes: #1039400)
    + d/control: Pre-Depends: ${misc:Pre-Depends}
  * d/copyright: space-in-std-shortname-in-dep5-copyright isc license

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 05 Jul 2025 06:55:23 +0200
